Bug 132858 - Samba doesn't allow hiding of shares through "browseable" attribute
Samba doesn't allow hiding of shares through "browseable" attribute
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-09-17 19:10 EDT by Richard Hughes
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-18 11:58:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2004-09-17 19:10:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040904 Firefox/0.9.3

Description of problem:
When I add a samba share I do not get the option: browseable.

When my main server is accessed I only want some shares to be visable, eg:


and not all the user home directories


even though they are mounted using samba->cifs

By adding the option "browseable = no" to the indervidual shares the
share is only accessable when the share name is known, i.e. if
smb://server/hughsie was typed into nautilus.

If this checkbox was added to system-config-samba (a trivial task) the
share visibility could be set on creation.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. system-config-samba
2. create share
3. manually add "browseable = no" to /etc/samba/smb.conf for each new
hidden share

Actual Results:  Share was not hidden.

Expected Results:  Share was optionally hidden.

Additional info:

This is typical of a small size company where there is only one PDC
and file-share, but no LDAP backend for user authentication.
Comment 1 Nils Philippsen 2004-09-18 08:25:30 EDT
Adding the "browseable" option shouldn't be a big thing for "normal"
shares as opposed to the special [homes] share (which isn't
configurable ar all in s-c-samba at the moment). Unforunately we're
past "string freeze" in the FC3 cycle meaning new strings in the UI
(which need to be translated) shouldn't be added anymore.

When making this option configurable, I'd also want to have this for
[homes] and it seems a maybe too large undertaking before FC4 devel
cycle. I'm deferring it for now, please reopen it when FC4 is out. Thanks.
Comment 2 Richard Hughes 2005-03-08 15:55:49 EST
Any plan for this enhancement? 
Comment 3 Nils Philippsen 2005-03-08 17:10:42 EST
Yes, hopefully before fc4test1.
Comment 4 Nils Philippsen 2005-03-09 10:03:50 EST
Implemented in upstream CVS.
Comment 5 Nils Philippsen 2005-03-09 10:04:14 EST
(for normal shares that is)
Comment 6 Nils Philippsen 2005-03-09 11:07:22 EST
You can specify (for lack of a better term) "visibility" for normal shares in
system-config-samba-1.2.27-1. I'll implement that for the [homes] share when I
get around to it.
Comment 7 Richard Hughes 2005-03-09 11:20:58 EST
(In reply to comment #4)
> Implemented in upstream CVS.

Fantastic, thanks. One less config file to edit manually. :-)
Comment 8 Nils Philippsen 2005-03-18 06:54:27 EST
Should be fixed in system-config-samba-1.2.28-0.fc3.1, please verify.
Comment 9 Richard Hughes 2005-03-18 11:11:25 EST
Works 100%, nice one Nils.

Note You need to log in before you can comment on or make changes to this bug.